Description: VT-d: fix interrupt remapping source validation for devices behind legacy bridges
 Using SVT_VERIFY_BUS here doesn't make sense; native Linux also
 uses SVT_VERIFY_SID_SQ here instead.
From: Jan Beulich <jbeulich@suse.com>
Origin: upstream
Id: CVE-2012-5634
---
--- a/xen/drivers/passthrough/vtd/intremap.c	Tue Jan 08 10:23:37 2013 +0100
+++ b/xen/drivers/passthrough/vtd/intremap.c	Wed Jan 09 17:19:01 2013 +0100
@@ -499,7 +499,7 @@
                 set_ire_sid(ire, SVT_VERIFY_BUS, SQ_ALL_16,
                             (bus << 8) | pdev->bus);
             else if ( pdev_type(bus, devfn) == DEV_TYPE_LEGACY_PCI_BRIDGE )
-                set_ire_sid(ire, SVT_VERIFY_BUS, SQ_ALL_16,
+                set_ire_sid(ire, SVT_VERIFY_SID_SQ, SQ_ALL_16,
                             PCI_BDF2(bus, devfn));
         }
         break;
